org.eclipse.viatra.cep.core.metamodels.automaton

## Interface State

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    FinalState, InitState, TrapState
  All Known Implementing Classes:
    FinalStateImpl, InitStateImpl, StateImpl, TrapStateImpl

      public interface State
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'State'.

  The following features are supported:

  - `In Transitions`
  - `Out Transitions`
  - `Label`
  - `Event Tokens`
  - `Last Processed Event`
  - `In State Of`
  - `Out State Of`
  See Also:
    `AutomatonPackage.getState()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<EventToken>` | `getEventTokens()` Returns the value of the 'Event Tokens' reference list.
    `org.eclipse.emf.common.util.EList<TimedZone>` | `getInStateOf()` Returns the value of the 'In State Of' reference list.
    `org.eclipse.emf.common.util.EList<Transition>` | `getInTransitions()` Returns the value of the 'In Transitions' reference list.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `Event` | `getLastProcessedEvent()` Returns the value of the 'Last Processed Event' reference.
    `org.eclipse.emf.common.util.EList<TimedZone>` | `getOutStateOf()` Returns the value of the 'Out State Of' reference list.
    `org.eclipse.emf.common.util.EList<Transition>` | `getOutTransitions()` Returns the value of the 'Out Transitions' containment reference list.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setLastProcessedEvent(Event value)` Sets the value of the '`Last Processed Event`' reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getInTransitions

          org.eclipse.emf.common.util.EList<Transition> getInTransitions()

      Returns the value of the 'In Transitions' reference list. The list contents are of type `Transition`. It is bidirectional and its opposite is '`Post State`'.

      If the meaning of the 'In Transitions' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'In Transitions' reference list.
      See Also:
        `AutomatonPackage.getState_InTransitions()`, `Transition.getPostState()`
      Generated:
      Model:
        opposite="postState"

    - #### getOutTransitions

          org.eclipse.emf.common.util.EList<Transition> getOutTransitions()

      Returns the value of the 'Out Transitions' containment reference list. The list contents are of type `Transition`. It is bidirectional and its opposite is '`Pre State`'.

      If the meaning of the 'Out Transitions' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Out Transitions' containment reference list.
      See Also:
        `AutomatonPackage.getState_OutTransitions()`, `Transition.getPreState()`
      Generated:
      Model:
        opposite="preState" containment="true"

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.

      If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `AutomatonPackage.getState_Label()`
      Generated:
      Model:

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`
      Generated:

    - #### getEventTokens

          org.eclipse.emf.common.util.EList<EventToken> getEventTokens()

      Returns the value of the 'Event Tokens' reference list. The list contents are of type `EventToken`. It is bidirectional and its opposite is '`Current State`'.

      If the meaning of the 'Event Tokens' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Event Tokens' reference list.
      See Also:
        `AutomatonPackage.getState_EventTokens()`, `EventToken.getCurrentState()`
      Generated:
      Model:
        opposite="currentState"

    - #### getLastProcessedEvent

          Event getLastProcessedEvent()

      Returns the value of the 'Last Processed Event' reference.

      If the meaning of the 'Last Processed Event' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Last Processed Event' reference.
      See Also:
        `setLastProcessedEvent(Event)`, `AutomatonPackage.getState_LastProcessedEvent()`
      Generated:
      Model:

    - #### setLastProcessedEvent

          void setLastProcessedEvent(Event value)

      Sets the value of the '`Last Processed Event`' reference.
      Parameters:
        `value` - the new value of the 'Last Processed Event' reference.
      See Also:
        `getLastProcessedEvent()`
      Generated:

    - #### getInStateOf

          org.eclipse.emf.common.util.EList<TimedZone> getInStateOf()

      Returns the value of the 'In State Of' reference list. The list contents are of type `TimedZone`. It is bidirectional and its opposite is '`In State`'.

      If the meaning of the 'In State Of' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'In State Of' reference list.
      See Also:
        `AutomatonPackage.getState_InStateOf()`, `TimedZone.getInState()`
      Generated:
      Model:
        opposite="inState"

    - #### getOutStateOf

          org.eclipse.emf.common.util.EList<TimedZone> getOutStateOf()

      Returns the value of the 'Out State Of' reference list. The list contents are of type `TimedZone`. It is bidirectional and its opposite is '`Out State`'.

      If the meaning of the 'Out State Of' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Out State Of' reference list.
      See Also:
        `AutomatonPackage.getState_OutStateOf()`, `TimedZone.getOutState()`
      Generated:
      Model:
        opposite="outState"